# gmp_lcm

(PHP 7 >= 7.3.0)

gmp_lcm — Calculate LCM

### Description

gmp_lcm ( mixed `$a` , mixed `$b` ) : GMP

This function computes the least common multiple (lcm) of `a` and `b`.

### Parameters

`a`

  Either a GMP number resource in PHP 5.5 and earlier, a GMP object in PHP 5.6 and later, or a numeric string provided that it is possible to convert the latter to a number.

`b`

  Either a GMP number resource in PHP 5.5 and earlier, a GMP object in PHP 5.6 and later, or a numeric string provided that it is possible to convert the latter to a number.

### Return Values

A GMP number resource in PHP 5.5 and earlier, or a GMP object in PHP 5.6 and later.

### See Also

- gmp_gcd() - Calculate GCD